Bug 122699 - a2ps "too many includes" error in sheets.map
a2ps "too many includes" error in sheets.map
Product: Fedora
Classification: Fedora
Component: a2ps (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2004-05-06 22:58 EDT by Wolfgang Mayer
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.13b-42
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-07 09:33:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for sheets-map.l (1.79 KB, patch)
2004-05-06 23:05 EDT, Wolfgang Mayer
no flags Details | Diff

  None (edit)
Description Wolfgang Mayer 2004-05-06 22:58:46 EDT
Description of problem:

When overriding the default sheets.map in ~/.a2ps/sheets.map and
including /usr/share/a2ps/sheets/sheets.map, a2ps aborts with error
"too many includes".

Version-Release number of selected component (if applicable):
Fedora Core release 1 (Yarrow)

How reproducible:


in ~/.a2ps/sheets.map

Steps to Reproduce:
1. mkdir ~/.a2ps
2. echo 'include(/usr/share/a2ps/sheets/sheets.map)' >~/.a2ps/sheets.map
3.a2ps -o ~/hosts.ps /etc/hosts
Actual results:
a2ps: too many includes

Expected results:
PostScript file ~/hosts.ps created.

Additional info:
Comment 1 Wolfgang Mayer 2004-05-06 23:05:22 EDT
Created attachment 100061 [details]
Patch for sheets-map.l

I found this patch at
but it seems it is not integrated in the latest version available from
http://www.infres.enst.fr/~demaille/a2ps/ and it is not listed as known bug,

I didn't test this patch too carefully but it works for me.
Comment 2 Wolfgang Mayer 2004-05-06 23:09:18 EDT
Oops. The filename in the first line of the patch is incorrect. Remove
the '.orig'. Apologies.
Comment 3 Tim Waugh 2004-09-07 11:05:34 EDT
Fixed in CVS.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.